satellite.toml(5)

# NAME

*satellite.toml* - configuration file for *satellite*(1)

# EXAMPLE CONFIGURATION
```
# Address to listen to requests (default: 0.0.0.0:1965)
listen = "0.0.0.0"

[tls]
# Directory to save certificates
directory = "/var/lib/gemini/certs"

# Multiple domains can be set with the [[domain]] section
[[domain]]
name = "example.com"
root = "/srv/gemini/example.com"

[[domain]]
name = "example2.com"
root = "/srv/gemini/example2.com"
```

# ANONYMOUS KEYS

*listen*
	Address to listen to requests, if unspecified, it defaults to 0.0.0.0:1965

# TLS KEYS

*directory*
	Directory to save certificates. This should be a persistent directory
	writeable by the daemon. No user interaction is required, the daemon will
	automatically create and regenerate certificates.

# DOMAIN KEYS

Domain sections must be set using the double bracket *[[domain]]* format.

*name*
	Name of the domain. Will be used as a virtual host and also be used for
	certificate generation.

*root*
	Path on disk to serve files for this domain. The path of the URL will be
	appended to this value to form the full filepath of the files to serve.
