package main

import (
	"flag"
	"fmt"
	"os"
)

var config *Config

func main() {
	var err error
	var configFile = flag.String("c", "/etc/satellite.toml", "Config file")
	flag.Parse()

	config, err = LoadConfig(*configFile)
	if err != nil {
		fmt.Printf("Error loading configuration: %+v\n", err)
		os.Exit(1)
	}
	if config.TLS.Directory == "" {
		fmt.Println("TLS certificate directory not set")
		os.Exit(1)
	}
	if len(config.Domain) == 0 {
		fmt.Printf("No domains defined on %s\n", *configFile)
		os.Exit(1)
	}

	startServer()
}
