package main

import "net"

func parseAddr(addr string) string {
	hostname, port, err := net.SplitHostPort(addr)
	if err != nil {
		ip := net.ParseIP(addr)
		if ip != nil {
			hostname = ip.String()
		}
	}
	if hostname == "" {
		hostname = "0.0.0.0"
	}
	if port == "" {
		port = "1965"
	}
	return net.JoinHostPort(hostname, port)
}
